summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
Diffstat (limited to 'include')
-rwxr-xr-xinclude/err.sh11
-rwxr-xr-xinclude/vendor.sh2
2 files changed, 10 insertions, 3 deletions
diff --git a/include/err.sh b/include/err.sh
index 416c69af..12bba8fb 100755
--- a/include/err.sh
+++ b/include/err.sh
@@ -4,10 +4,17 @@
version=""; versiondate=""; projectname=""
x_() {
- [ $# -lt 1 ] || ${@} || err "non-zero exit status: ${@}"
+ [ $# -lt 1 ] || ${@} || err_exit err ${@}
}
xx_() {
- [ $# -lt 1 ] || ${@} || fail "non-zero exit status: ${@}"
+ [ $# -lt 1 ] || ${@} || err_exit fail ${@}
+}
+
+err_exit()
+{
+ _fail="${1}" && shift 1
+ echo "Non-zero exit: $@"
+ $_fail "Unhandled error"
}
check_git()
diff --git a/include/vendor.sh b/include/vendor.sh
index 51daba82..4933a5e0 100755
--- a/include/vendor.sh
+++ b/include/vendor.sh
@@ -24,7 +24,7 @@ eval "$(setvars "" EC_url EC_url_bkup EC_hash DL_hash DL_url DL_url_bkup _dest \
E6400_VGA_DL_hash E6400_VGA_DL_url E6400_VGA_DL_url_bkup E6400_VGA_offset \
E6400_VGA_romname SCH5545EC_DL_url SCH5545EC_DL_url_bkup SCH5545EC_DL_hash \
MRC_url MRC_url_bkup MRC_hash MRC_board archive rom board modifygbe _dl \
- new_mac release releasearchive _b boarddir)"
+ new_mac release releasearchive _b boarddir nukemode rom)"
eval "$(setvars "" CONFIG_BOARD_DELL_E6400 CONFIG_HAVE_MRC CONFIG_HAVE_ME_BIN \
CONFIG_ME_BIN_PATH CONFIG_KBC1126_FIRMWARE CONFIG_KBC1126_FW1 \